QGIS Application - Bug report #2538
QGIS 1.0.2 (Windows binary) crashes on signal from QgsMapToolEmitPoint
2010-03-10 03:27 AM - nodereus -

Status: Closed

Priority: Low

Assignee:

Category: Python plugins

Affected QGIS version: Regression?: No
Operating System: Windows Easy fix?: No
Pull Request or Patch supplied: Resolution: invalid
Crashes QGIS or corrupts data: Copied to github as #: 12598
Description

Windows binary of stable QGIS 1.0.2 crashes when a python plugin has a [[QgsMapToolEmitPoint]] based class emit a SIGNAL').

Note that | had the exact same problem when | compiled 1.0.2 from source on Ubuntu 9.10, appearantly due to incompatibility with the
versions of Qt4 and SIP that ship with that distro. In that case, | could 'fix' it there by backporting the ggsmaptoolemitpoint code from 1.3
(where the signal's signature is changed to use a 'const [[QgsPoint]]&'). It seems likely that the problems are related.

To reproduce:
Connect the signal 'canvasClicked(QgsPoint& , Qt::MouseButton )' from a [[QgsMapToolEmitPoint]] instance to any slot, and click on the
canvas with that maptool active.

History

#1 - 2010-03-10 03:35 AM - nodereus -

For the record -- those links in the ticket were generated by the tracker and do not go anywhere. | just did not expect it to treat camelcase as wiki links.

#2 - 2010-03-10 03:39 AM - Jiirgen Fischer

see also .

#3 - 2010-07-20 07:54 AM - Jiirgen Fischer

Replying to [comment:4 pcav]:

Does trunk have this problem at all?

#4 - 2010-09-16 11:41 PM - Paolo Cavallini
- Resolution set to invalid
- Status changed from Open to Closed

Closing it, pending any user feedback. 1.0 is no longer supported anyway. Please reopen if necessary.
